//读取text.md
const fs = require('fs')

// fs.readFile('./resources/text.md',(err,data)=>{
//     if(err) throw err
//     console.log(data.toString())
// })

//使用promise封装
const p = new Promise(function(resolve,reject){
    fs.readFile('./resources/text.md',(err,data)=>{
        if(err) reject('失败')
        resolve(data)
    })
})
// p.then(function(value){
//     console.log(value.toString())
// },function(err){
//     console.log(err)
// })

// p
// .then(function(value){
//     console.log(value.toString())
// })
// .catch(function(err){
//     console.log(err)
// })

//多个文件内容读取 -- 回调地狱
// fs.readFile('./resources/text.md',(err,data1)=>{
//     fs.readFile('./resources/text1.md',(err,data2)=>{
//         fs.readFile('./resources/text2.md',(err,data3)=>{
//             let result = data1 + data2 + data3
//             console.log(result)
//         })
//     })
// })

//使用promise实现
const p1 = new Promise((resolve,reject)=>{
    fs.readFile('./resources/text.md',(err,data)=>{
        resolve(data)
    })
})

p1.then(value=>{
    return new Promise((resolve,reject)=>{
        fs.readFile('./resources/text1.md',(err,data)=>{
            resolve([value,data])
        })
    })
}).then(value =>{
    return new Promise((resolve,reject)=>{
        fs.readFile('./resources/text2.md',(err,data)=>{
            value.push(data)
            resolve(value)
        })
    })
}).then(value=>{
    console.log(value.join('\r\n'))
})

